---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Personal/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libgetcpool001.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x501E0, symBinAddr: 0x6300, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52120, symBinAddr: 0x8240, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52510, symBinAddr: 0x8630, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x534B0, symBinAddr: 0x95D0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x534C0, symBinAddr: 0x95E0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4FD00, symBinAddr: 0x6080, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4FD04, symBinAddr: 0x6084, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4FD08, symBinAddr: 0x6088, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4FE60, symBinAddr: 0x6090, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4FF18, symBinAddr: 0x6148, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4FF1C, symBinAddr: 0x614C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4FF20, symBinAddr: 0x6150, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4FF24, symBinAddr: 0x6154, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4FF28, symBinAddr: 0x6158, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4FF30, symBinAddr: 0x6160, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4FF48, symBinAddr: 0x6178, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4FF50, symBinAddr: 0x6180, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4FF58, symBinAddr: 0x6188, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4FF60, symBinAddr: 0x6190, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4FF68, symBinAddr: 0x6198, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4FFB0, symBinAddr: 0x61A0, symSize: 0x0 }
  - { offsetInCU: 0x90D7, offset: 0x90D7, size: 0x8, addend: 0x0, symName: __ZL7errCode, symObjAddr: 0x4FFB8, symBinAddr: 0x61A8, symSize: 0x0 }
  - { offsetInCU: 0x90F7, offset: 0x90F7, size: 0x8, addend: 0x0, symName: __ZL13midCheckPoint, symObjAddr: 0x4FFC0, symBinAddr: 0x61B0, symSize: 0x0 }
  - { offsetInCU: 0x9110, offset: 0x9110, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x4FFC8, symBinAddr: 0x61B8, symSize: 0x0 }
  - { offsetInCU: 0x9129, offset: 0x9129, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x4FFD8, symBinAddr: 0x61C8, symSize: 0x0 }
  - { offsetInCU: 0x917B, offset: 0x917B, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1770, symSize: 0x80 }
  - { offsetInCU: 0x9210, offset: 0x9210, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x16C0, symSize: 0xB0 }
  - { offsetInCU: 0x926B, offset: 0x926B, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x15C0, symSize: 0x100 }
  - { offsetInCU: 0x94FE, offset: 0x94FE, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x17F0, symSize: 0x220 }
  - { offsetInCU: 0x96E3, offset: 0x96E3, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1A10, symSize: 0xA0 }
  - { offsetInCU: 0x9796, offset: 0x9796, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1AB0, symSize: 0x110 }
  - { offsetInCU: 0x988C, offset: 0x988C, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1BC0, symSize: 0x150 }
  - { offsetInCU: 0x99BD, offset: 0x99BD, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1D10, symSize: 0x30 }
  - { offsetInCU: 0x9A7E, offset: 0x9A7E, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x1D40, symSize: 0x150 }
  - { offsetInCU: 0x9C76, offset: 0x9C76, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x1E90, symSize: 0x160 }
  - { offsetInCU: 0x9E02, offset: 0x9E02, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x1FF0, symSize: 0x1B0 }
  - { offsetInCU: 0xA01D, offset: 0xA01D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x21A0, symSize: 0xA0 }
  - { offsetInCU: 0xA0EC, offset: 0xA0EC, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x2240, symSize: 0x20 }
  - { offsetInCU: 0xA123, offset: 0xA123, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x2260, symSize: 0x20 }
  - { offsetInCU: 0xA15A, offset: 0xA15A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x2280, symSize: 0x20 }
  - { offsetInCU: 0xA2C9, offset: 0xA2C9, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x22A0, symSize: 0x1A0 }
  - { offsetInCU: 0xA5EF, offset: 0xA5EF, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x2440, symSize: 0x80 }
  - { offsetInCU: 0xA6B8, offset: 0xA6B8, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x24C0, symSize: 0x6A0 }
  - { offsetInCU: 0xB24D, offset: 0xB24D, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9FA0, symBinAddr: 0x35F0, symSize: 0xB0 }
  - { offsetInCU: 0xB2C4, offset: 0xB2C4, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x2B60, symSize: 0x70 }
  - { offsetInCU: 0xB3D8, offset: 0xB3D8, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x2BD0, symSize: 0xA0 }
  - { offsetInCU: 0xB503, offset: 0xB503, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x2C70, symSize: 0x40 }
  - { offsetInCU: 0xB5F9, offset: 0xB5F9, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x2CB0, symSize: 0x2B0 }
  - { offsetInCU: 0xB99F, offset: 0xB99F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x2F60, symSize: 0xC0 }
  - { offsetInCU: 0xBAE5, offset: 0xBAE5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x3020, symSize: 0x10 }
  - { offsetInCU: 0xBBA7, offset: 0xBBA7, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x3030, symSize: 0x220 }
  - { offsetInCU: 0xBEA4, offset: 0xBEA4, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x3250, symSize: 0x10 }
  - { offsetInCU: 0xBEFA, offset: 0xBEFA, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x3260, symSize: 0x150 }
  - { offsetInCU: 0xC0C4, offset: 0xC0C4, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9D60, symBinAddr: 0x33B0, symSize: 0x10 }
  - { offsetInCU: 0xC15E, offset: 0xC15E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_GetConstantPool_getcpool001_getCP, symObjAddr: 0x9D70, symBinAddr: 0x33C0, symSize: 0xA0 }
  - { offsetInCU: 0xC289, offset: 0xC289, size: 0x8, addend: 0x0, symName: _Breakpoint, symObjAddr: 0x9E10, symBinAddr: 0x3460, symSize: 0x80 }
  - { offsetInCU: 0xC34D, offset: 0xC34D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_GetConstantPool_getcpool001_getReady, symObjAddr: 0x9E90, symBinAddr: 0x34E0, symSize: 0x100 }
  - { offsetInCU: 0xC492, offset: 0xC492, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_GetConstantPool_getcpool001_check, symObjAddr: 0x9F90, symBinAddr: 0x35E0, symSize: 0x10 }
  - { offsetInCU: 0xC4C7, offset: 0xC4C7, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA050, symBinAddr: 0x36A0, symSize: 0x36A }
...
